io.vertx.ext.web.openapi

## Interface Operation

-     public interface Operation

  Interface representing an Operation

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Operation` | `failureHandler(Handler<RoutingContext> handler)` Mount a failure handler for this operation
    `HttpMethod` | `getHttpMethod()`
    `String` | `getOpenAPIPath()`
    `String` | `getOperationId()`
    `JsonObject` | `getOperationModel()`
    `Operation` | `handler(Handler<RoutingContext> handler)` Mount an handler for this operation
    `Operation` | `routeToEventBus(String address)` Route an incoming request to this operation to a Web API Service
    `Operation` | `routeToEventBus(String address, DeliveryOptions options)` Route an incoming request to this operation to a Web API Service

- - ### Method Detail

    - #### handler

          Operation handler(Handler<RoutingContext> handler)

      Mount an handler for this operation
      Parameters:
        `handler` -
      Returns:

    - #### failureHandler

          Operation failureHandler(Handler<RoutingContext> handler)

      Mount a failure handler for this operation
      Parameters:
        `handler` -
      Returns:

    - #### routeToEventBus

          Operation routeToEventBus(String address)

      Route an incoming request to this operation to a Web API Service
      Parameters:
        `address` -
      Returns:

    - #### routeToEventBus

          Operation routeToEventBus(String address,
                                    DeliveryOptions options)

      Route an incoming request to this operation to a Web API Service
      Parameters:
        `address` -
        `options` -
      Returns:

    - #### getOperationId

          String getOperationId()

      Returns:
        operationId of this operation

    - #### getOperationModel

          JsonObject getOperationModel()

      Returns:
        model of this operation

    - #### getHttpMethod

          HttpMethod getHttpMethod()

      Returns:
        http method of this operation

    - #### getOpenAPIPath

          String getOpenAPIPath()

      Returns:
        path in OpenAPI style

Copyright © 2020 Eclipse. All rights reserved.